Skip to content

getPickingListLine

READ

Get picking list line.

POST /api/v1/inventory/getPickingListLine
curl -X POST '<your-host>/api/v1/inventory/getPickingListLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "lineId": "string"
  }'
Response
{
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "itemId": "string",
  "jobId": "string",
  "jobMaterialId": "string",
  "jobOperationId": "string",
  "outstandingQuantity": 0,
  "pickingListId": "string",
  "quantityPicked": 0,
  "quantityReturned": 0,
  "quantityToPick": 0,
  "status": "Pending",
  "storageUnitId": "string",
  "toStorageUnitId": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "item": {
    "name": "string",
    "readableId": "string"
  },
  "job": {
    "jobId": "string"
  },
  "jobOperation": {
    "order": 0,
    "processId": "string",
    "workCenterId": "string",
    "process": {
      "name": "string"
    },
    "workCenter": {
      "name": "string"
    }
  },
  "storageUnit": {
    "name": "string",
    "locationId": "string"
  },
  "toStorageUnit": {
    "name": "string",
    "locationId": "string"
  },
  "pickingList": {
    "pickingListId": "string",
    "status": "Completed"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "lineId": {
      "type": "string"
    }
  },
  "required": [
    "lineId"
  ]
}